<?php 
/*
Title		: Techfind
Description	: Techfind Premium Theme
Author		: Toan Nguyen
Author URI	: http://www.grovepixels.com
License		: GPLv3 - http://www.gnu.org/copyleft/gpl.html
*/
?>

<?php $count = 0; ?>

<?php while (have_posts()) : the_post(); ?>

<?php $format = get_post_format(); if (false === $format) $format = 'standard'; ?>

<?php $count++; ?>

<?php if ( ($count == 1) ) : ?>

<!-- begin .hentry -->
<article id="post-<?php the_ID(); ?>" <?php post_class('gp-post gp-first'); ?> itemscope="itemscope" itemprop="blogPost" itemtype="http://schema.org/BlogPosting">

	<!-- begin .entry-header -->
	<header class="entry-header">

		<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

		<div class="entry-meta">

			<span class="entry-author hidden"><?php _e('By', 'gp'); ?> <span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

			<span class="entry-time"><span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

			<span class="entry-category"><span> - <?php the_category(', '); ?></span></span>

		</div>

	</header>
	<!-- end .entry-header -->

	<!-- begin .featured-image -->
	<div class="featured-image">

		<?php if ( has_post_thumbnail() ) : ?><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('gp-580x250', array('itemprop' => 'image')); ?></a><?php endif; ?>

		<?php if ($format == 'gallery') : ?>

			<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-picture-o"></i></a></div>

		<?php elseif ($format == 'video') : ?>

			<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-play"></i></a></div>

		<?php elseif ($format == 'audio') : ?>

			<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-music"></i></a></div>

		<?php else: ?>

		<?php endif; ?>

		<?php if(get_post_meta( $post->ID, 'gp_' . 'enable_review', true )) gp_print_review_badge($post->ID); ?>

	</div>
	<!-- end .featured-image -->

	<!-- begin .entry-content -->
	<section class="entry-content" itemprop="text">

		<p class="gp-front-text"><?php $content = get_the_content(); $trimmed_content = wp_trim_words( $content, 45, '...' ); echo $trimmed_content; ?></p>

	</section>
	<!-- end .entry-content -->

</article>
<!-- end .hentry -->

<?php else: ?>

<!-- begin .hentry -->
<article id="post-<?php the_ID(); ?>" <?php post_class('gp-post'); ?> itemscope="itemscope" itemprop="blogPost" itemtype="http://schema.org/BlogPosting">

	<!-- begin .featured-image -->
	<div class="featured-image">

		<?php if ( has_post_thumbnail() ) : ?><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('gp-200x155', array('itemprop' => 'image')); ?></a><?php endif; ?>

		<?php if ($format == 'gallery') : ?>

			<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-picture-o"></i></a></div>

		<?php elseif ($format == 'video') : ?>

			<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-play"></i></a></div>

		<?php elseif ($format == 'audio') : ?>

			<div class="gp-post-format"><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><i class="fa fa-music"></i></a></div>

		<?php else: ?>

		<?php endif; ?>

		<?php if(get_post_meta( $post->ID, 'gp_' . 'enable_review', true )) gp_print_review_badge($post->ID); ?>

	</div>
	<!-- end .featured-image -->

	<!-- begin .gp-post-right -->
	<div class="gp-post-right">

		<!-- begin .entry-header -->
		<header class="entry-header">

			<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

			<div class="entry-meta">

				<span class="entry-author hidden"><?php _e('By', 'gp'); ?> <span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

				<span class="entry-time"><span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

				<span class="entry-category"><span> - <?php the_category(', '); ?></span></span>

			</div>

		</header>
		<!-- end .entry-header -->

		<!-- begin .entry-content -->
		<section class="entry-content" itemprop="text">

			<p class="gp-front-text"><?php $content = get_the_content(); $trimmed_content = wp_trim_words( $content, 25, '...' ); echo $trimmed_content; ?></p>

		</section>
		<!-- end .entry-content -->

	</div>
	<!-- end .gp-post-right -->

</article>
<!-- end .hentry -->

<?php endif; ?>

<?php endwhile; ?>