<?php 
/*
Title		: Techfind
Description	: Techfind Premium Theme
Author		: Toan Nguyen
Author URI	: http://www.grovepixels.com
License		: GPLv3 - http://www.gnu.org/copyleft/gpl.html
*/
?>

<?php global $grove_data; ?>

<?php while (have_posts()) : the_post(); ?>

<!-- begin .hentry -->
<article id="post-<?php the_ID(); ?>" <?php post_class('gp-single'); ?> itemscope="itemscope" itemprop="blogPost" itemtype="http://schema.org/BlogPosting">
	
	<!-- begin .gp-breadcrumbs -->
	<div class="hidden">
	<?php echo gp_breadcrumbs(); ?>
	</div>
	<!-- end .gp-breadcrumbs -->

	<!-- begin .entry-header -->
	<header class="entry-header">

		<div class="entry-category"><span><?php the_category(' '); ?></span></div>

		<h1 class="entry-title" itemprop="headline"><?php the_title(); ?></h1>

		<?php if(!empty($grove_data['grove_post_meta'])): ?>
		<div class="entry-meta">

			<span class="entry-author"><?php _e('By', 'gp'); ?> <span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

			<span class="entry-time"><?php _e('On', 'gp'); ?> <span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

		</div>
		<?php endif; ?>

		<?php get_template_part('content/single/elements/share', 'buttons'); ?>

	</header>
	<!-- end .entry-header -->

	<!-- begin #review-box -->
	<?php if(get_post_meta( $post->ID, 'gp_' . 'enable_review', true ) == true) : ?>
	<?php if(get_post_meta( $post->ID, 'gp_' . 'review_position', true ) == 'top') : ?>
		<div class="gp-review-box-top">
			<?php get_template_part('content/single/elements/review', 'box'); ?>
		</div>
	<?php endif; ?>
	<?php endif; ?>
	<!-- end #review-box -->

	<!-- begin .entry-content -->
	<?php get_template_part('content/single/elements/entry', 'content'); ?>
	<!-- end .entry-content -->

	<!-- begin #review-box -->
	<?php if(get_post_meta( $post->ID, 'gp_' . 'enable_review', true ) == true) : ?>
	<?php if(get_post_meta( $post->ID, 'gp_' . 'review_position', true ) == 'bottom') : ?>
		<div class="gp-review-box-bottom">
			<?php get_template_part('content/single/elements/review', 'box'); ?>
		</div>
	<?php endif; ?>
	<?php endif; ?>
	<!-- end #review-box -->

	<!-- begin .entry-tags -->
	<?php get_template_part('content/single/elements/entry', 'tags'); ?>
	<!-- end .entry-tags -->

	<!-- begin .gp-author-box -->
	<?php get_template_part('content/single/elements/author', 'box'); ?>
	<!-- end .gp-author-box -->

	<!-- begin .gp-related-posts -->
	<?php get_template_part('content/single/elements/related', 'posts'); ?>
	<!-- end .gp-related-posts -->

	<!-- begin .gp-comments -->
	<div class="gp-comments">
		<?php comments_template(); ?>
	</div>
	<!-- end .gp-comments -->

	<!-- begin .gp-pagination-single -->
	<?php get_template_part('content/single/elements/pagination', 'single'); ?>
	<!-- end .gp-pagination-single -->

</article>
<!-- end .hentry -->

<?php endwhile; ?>