<?php

add_action('widgets_init', 'gp_load_newsletter_widget');

function gp_load_newsletter_widget() {
	register_widget('gp_newsletter_widget');
}

class gp_newsletter_widget extends WP_Widget {

/* Widget setup. */

function gp_newsletter_widget() {
	$widget_ops = array('classname' => 'gp_newsletter_widget', 'description' => __('A widget that displays newsletter form.', 'gp'));	
	$control_ops = array('width' => 250, 'height' => 350, 'id_base' => 'gp_newsletter_widget');
	$this->WP_Widget('gp_newsletter_widget', __('WGP - Newsletter', 'gp'), $widget_ops, $control_ops);
}
	
/* Display the widget on the screen. */

function widget($args, $instance) {
	extract($args);
	$title = apply_filters('widget_title', $instance['title']);
	$description = apply_filters('widget_text', $instance['description']);
	$optin_code = $instance['optin_code'];

	echo $before_widget;

	if ( $title ) { echo $before_title . $title . $after_title; } ?>
			
	<?php echo '<div class="gp-optin-form">';
			if($description)
				echo wpautop($description);
			if($optin_code)
				echo $optin_code;
			echo '</div>'; ?>

	<?php
	echo $after_widget;
}

/* Update the widget settings. */

function update($new_instance, $old_instance) {
	$instance = $old_instance;
	$instance['title'] = strip_tags($new_instance['title']);
	$instance['description'] = $new_instance['description'];
	$instance['optin_code'] = $new_instance['optin_code'];
	return $instance;
}

/* Set up some default widget settings. */

function form($instance) {
	$defaults = array(
		'title' => __('Optin Headline', 'gp'), 
		'description' => __('Explain to people why people should signup to your newsletter. Be as concise as possible, and very convincing!', 'gp'),
		'optin_code' => __('Enter your optin form code here.', 'gp')
	);
	$instance = wp_parse_args((array) $instance, $defaults); ?>

	<p>
		<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title:', 'gp'); ?></label>
		<input id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
	</p>

	<p>
		<label for="<?php echo $this->get_field_id('description'); ?>"><?php _e('Description:', 'gp'); ?></label>
		<textarea id="<?php echo $this->get_field_id('description'); ?>" name="<?php echo $this->get_field_name('description'); ?>" class="widefat" rows="4" cols="20"><?php echo $instance['description']; ?></textarea>
	</p>

	<p>
		<label for="<?php echo $this->get_field_id('optin_code'); ?>"><?php _e('Optin Code:', 'gp'); ?></label>
		<textarea id="<?php echo $this->get_field_id('optin_code'); ?>" name="<?php echo $this->get_field_name('optin_code'); ?>" class="widefat" rows="7" cols="20"><?php echo $instance['optin_code']; ?></textarea>
	</p>

<?php } } ?>