<?php

function gp_load_tabbed_posts() {
	register_widget( 'gp_tabbed_posts' );
}

add_action('widgets_init', 'gp_load_tabbed_posts');

class gp_tabbed_posts extends WP_Widget {

/* Widget setup. */

function gp_tabbed_posts() {
	$widget_ops = array( 'classname' => 'gp_tabbed_posts', 'description' => __('A widget that displays posts with tabs.', 'gp') );
	$control_ops = array( 'width' => 250, 'height' => 350, 'id_base' => 'gp_tabbed_posts');
	$this->WP_Widget( 'gp_tabbed_posts', __('WGP - Tabbed Posts', 'gp'), $widget_ops, $control_ops );
}

/* Display the widget on the screen. */

function widget( $args, $instance ) {
	extract( $args );
	$title = apply_filters('widget_title', $instance['title'] );
	$second_title = apply_filters('second_widget_title', $instance['second_title'] );
	$third_title = apply_filters('third_widget_title', $instance['third_title'] );
	$number = $instance['number'];

	echo $before_widget; ?>

	<div class="tabs-wrapper">

		<ul class="tabs-title">

			<li><h4><a href="#tab1"><?php echo $title; ?></a></h4></li>
							
			<li><h4><a href="#tab2"><?php echo $second_title; ?></a></h4></li>
							
			<li><h4><a href="#tab3"><?php echo $third_title; ?></a></h4></li>

		</ul>

	<div id="tab1" class="tab_content">

		<?php $recent_posts = new WP_Query(array('showposts' => $number)); ?>

			<?php if ($recent_posts->have_posts()) : ?>

				<?php $count = 0; ?>
	
				<?php while($recent_posts->have_posts()): $recent_posts->the_post(); global $post; ?>

				<?php $count++; ?>

					<!-- begin .hentry -->
       				<article id="post-<?php the_ID(); ?>-recent" <?php post_class('gp-post-widget'); ?>>

       					<!-- begin .entry-counter -->
       					<div class="entry-counter">

       						<span><?php echo $count; ?></span>

       					</div>
       					<!-- end .entry-counter -->

						<!-- begin .entry-header -->
						<header class="entry-header">

							<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

							<div class="entry-meta">

								<span class="entry-author hidden"><span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

								<span class="entry-time"><span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

							</div>

						</header>
						<!-- end .entry-header -->

					</article>
					<!-- end .hentry -->
         		
				<?php endwhile; ?>

			<?php endif; ?>

		<?php wp_reset_query(); ?>

	</div>

	<div id="tab3" class="tab_content">

		<ul>

			<?php $popular_posts = new WP_Query(array('posts_per_page' => $number,'post__not_in' => get_option( 'sticky_posts' ),'orderby' => 'comment_count')); ?>

			<?php if ($popular_posts->have_posts()) : ?>

				<?php $count = 0; ?>
	
				<?php while ($popular_posts->have_posts()) : $popular_posts->the_post(); global $post; ?>

				<?php $count++; ?>

					<!-- begin .hentry -->
       				<article id="post-<?php the_ID(); ?>-recent" <?php post_class('gp-post-widget'); ?>>

       					<!-- begin .entry-counter -->
       					<div class="entry-counter">

       						<span><?php echo $count; ?></span>

       					</div>
       					<!-- end .entry-counter -->

						<!-- begin .entry-header -->
						<header class="entry-header">

							<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

							<div class="entry-meta">

								<span class="entry-author hidden"><span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

								<span class="entry-time"><span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

							</div>

						</header>
						<!-- end .entry-header -->

					</article>
					<!-- end .hentry -->
         		
				<?php endwhile; ?>

			<?php endif; ?>

			<?php wp_reset_query(); ?>

		</ul>

	</div>

	<div id="tab2" class="tab_content">

		<ul>

			<?php $random_posts = new WP_Query(array('showposts' => $number,'post__not_in' => get_option( 'sticky_posts' ),'orderby'=> 'rand')); ?>

			<?php if ($random_posts->have_posts()) : ?>

				<?php $count = 0; ?>
	
				<?php while($random_posts->have_posts()): $random_posts->the_post(); global $post; ?>

				<?php $count++; ?>

					<!-- begin .hentry -->
       				<article id="post-<?php the_ID(); ?>-recent" <?php post_class('gp-post-widget'); ?>>

       					<!-- begin .entry-counter -->
       					<div class="entry-counter">

       						<span><?php echo $count; ?></span>

       					</div>
       					<!-- end .entry-counter -->

						<!-- begin .entry-header -->
						<header class="entry-header">

							<h2 class="entry-title" itemprop="headline"><a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>

							<div class="entry-meta">

								<span class="entry-author hidden"><span class="vcard author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person"><a class="fn" rel="author" itemprop="url" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><span itemprop="name"><?php the_author(); ?></span></a></span></span>

								<span class="entry-time"><span><time class="updated" datetime="<?php the_time('c'); ?>" itemprop="datePublished"><?php the_time('F j, Y'); ?></time></span></span>

							</div>

						</header>
						<!-- end .entry-header -->

					</article>
					<!-- end .hentry -->
         		
				<?php endwhile; ?>

			<?php endif; ?>

			<?php wp_reset_query(); ?>

		</ul>

	</div>


	</div>

<?php echo $after_widget; }

/* Update the widget settings. */
	
function update( $new_instance, $old_instance ) {
	$instance = $old_instance;
	$instance['title'] = strip_tags( $new_instance['title'] );
	$instance['second_title'] = strip_tags( $new_instance['second_title'] );
	$instance['third_title'] = strip_tags( $new_instance['third_title'] );
	$instance['number'] = $new_instance['number'];
	return $instance;
}
	
function form( $instance ) {

	$defaults = array(
		'title' => 'Recent',
		'second_title' => 'Popular',
		'third_title' => 'Random',
		'number' => '5');
	$instance = wp_parse_args( (array) $instance, $defaults ); ?>

	<!-- Widget Title: Text Input -->
	<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'gp') ?></label>
		<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" />
	</p>

	<!-- Widget Title: Text Input -->
	<p>
		<label for="<?php echo $this->get_field_id( 'second_title' ); ?>"><?php _e('Second Title:', 'gp') ?></label>
		<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'second_title' ); ?>" name="<?php echo $this->get_field_name( 'second_title' ); ?>" value="<?php echo $instance['second_title']; ?>" />
	</p>

	<!-- Widget Title: Text Input -->
	<p>
		<label for="<?php echo $this->get_field_id( 'third_title' ); ?>"><?php _e('Third Title:', 'gp') ?></label>
		<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'third_title' ); ?>" name="<?php echo $this->get_field_name( 'third_title' ); ?>" value="<?php echo $instance['third_title']; ?>" />
	</p>
		
	<!-- Widget Number: Text Input -->
	<p>
		<label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php _e('Number:', 'gp') ?></label>
		<input type="text" class="widefat" id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" value="<?php echo $instance['number']; ?>" />
	</p>

<?php } } ?>